#return!/bin/bash

video_path=$1
save_path=$2 
length=$3
times=$4
corruption=$5
dir=$(dirname ${video_path})
base=$(basename ${video_path%.*})
ext=${video_path##*.}
l=$(stat --print="%s" "${video_path}")

if [ "$ext" == "avi" ]; then
    min=2032 # min=5760
    rmax=1084 # rmax=264 
elif [ "$ext" == "mp4" ]; then
    min=736
    rmax=975
else
    echo "Invalid file type ${ext}; must be either avi or mp4."
    exit 1
fi

echo "Video size (bytes): ${l}"
for ((i=0; i<$times; i++)); do  
    max=$((l-rmax-length))
    r=$(python -S -c "import random; print(random.randrange(${min},${max}))")
    s=$((r%l)) 
    dest="${save_path}/${base}_${corruption}${s}.${ext}"
    python datasets/video_corrupt.py --source $video_path --dest $dest --corruption $corruption --start $s --length $length
done
